# View

See [create](/developer/api/cep/audiences/create.md) to see an introduction about Audience API.

### API Description

## View

> Get information about an audience.

```json
{"openapi":"3.1.0","info":{"title":"Batch - REST API","version":"2.9"},"tags":[{"name":"Audiences"}],"servers":[{"url":"https://api.batch.com/{version}","description":"production","variables":{"version":{"default":"2.11","description":"Version of the API"}}}],"security":[{"rest_key":[]}],"components":{"securitySchemes":{"rest_key":{"type":"http","scheme":"bearer","description":"## API Key Authentication\n\nAuthentication is required in order to interact with Batch's APIs.\n\nBatch implements authentication using API Keys, that we call the \"REST API Key\".\nYou can find it on your dashboard.\n\nPlease make sure that you keep this key secret. You should never use it in client apps to call APIs from there as it would\neasily be extractable.\n\n### How to authenticate\n\nIn order to authenticate your requests, add your REST API Key in the `Authorization` header and prefix it by `Bearer`. Example: `Authorization: Bearer bcd38d9rfb38ra28`.\n"}},"parameters":{"HeaderProjectKey":{"in":"header","name":"X-Batch-Project","description":"The unique project key, identifying a project on the Batch platform","schema":{"type":"string"},"required":true}},"schemas":{"oneAudience":{"type":"object","properties":{"name":{"type":"string"},"display_name":{"type":"string"},"type":{"type":"string","enum":["CUSTOM_ID"]},"nb_ids":{"type":"integer"},"indexing_state":{"type":"string","enum":["APPLIED","IN_PROGRESS","REPLACED"]},"created":{"type":"string","description":"UTC Date in a RFC 3339 format."},"updated":{"type":"string","description":"UTC Date in a RFC 3339 format."}}},"Error":{"type":"object","required":["error_message","error_code"],"properties":{"error_message":{"description":"A human readable error message","type":"string"},"error_code":{"description":"Error code","type":"string"}}}},"responses":{"400":{"description":"The request is malformed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"The Rest API Key is not valid for this project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"Batch's services are under maintenance. Please try again later","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/audiences/view":{"get":{"operationId":"audience_view","summary":"View","description":"Get information about an audience.","tags":["Audiences"],"parameters":[{"$ref":"#/components/parameters/HeaderProjectKey"},{"name":"name","in":"query","description":"The name of the existing audience you want to view.","required":true,"schema":{"type":"string"}},{"name":"indexing_token","in":"query","description":"The indexing token returned by the create, replace, update or remove routes.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"If the GET to the API endpoint is successful you will receive an HTTP 200 confirmation and information about your audience.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/oneAudience"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}}}}
```

### Request structure

#### Route

The Audience API exposes a GET endpoint that allows to get information about a audience :

`/audiences/view`

#### Headers and authentication

See [Overview → Using Project APIs](/developer/api/cep.md#request-headers-and-authentication).

#### Query parameters

See the API Description.

### Responses

#### Success

If the GET to the API endpoint is successful you will receive an **HTTP 200** confirmation and information about your audience.

```json
{
  "name": "string",
  "display_name": "MBE123",
  "type": "CUSTOM_ID",
  "nb_ids": 2,
  "indexing_state": "APPLIED",
  "created": "2023-10-03T09:35:08Z",
  "updated": "2023-10-03T09:35:08Z"
}

```

The indexing state is the indexing state of the update that returned the given `indexing token`. If there is no indexing token provided, the state of the last update will be used.\
3 values are possible for indexing state

* `IN_PROGRESS` : update processing is in progress
* `APPLIED` : update processing is finished
* `REPLACED` : the audience content has been replaced since the issue of the indexing token.

#### Failure

If the POST data does not meet the API requirements you will receive an actionable error message. Contact us at <support@batch.com> if you need further support.

See the list of potential failures in the API Description.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/api/cep/audiences/view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
